/***
*    spacePanw.h -- ui for space.c
*     1994 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
  25 Jan 94 | recreated again. NOTE that gadgets defined in pw with DUPE_
            | prefix don't have the prefix here because the flags for the
				| tool structure have the prefix 'DUPE_' (dope).
				| added gadgetry to do a big virtual space pan control, but
				| wimped out on doing it.  my brain hurts.
*/

#ifndef INTUITION_INTUITION_H
	#include <intuition/intuition.h>
#endif
#ifndef CDIS_IMAGERY
	#include "ConfigDiscardImagery.h"
#endif

/* Gadget IDs */
#define LR_IN          1
#define DISTANCE_IN    2
#define TRACK_OUT      3
#define BRANCH_OUT     4
#define TRACK_LEFT     5
#define BRANCH_LEFT    6
#define TRASH_DISTANCE 7
#define TRASH_LR       8
#define NOTES          9
#define CONTROL       10
#define CHANNEL       11
#define TRASH_SYSEX   12
#define LEFT 13
#define RIGHT 14
#define NEAR 15
#define FAR 16
#define CENTER 17
#define PAN 18

static struct Gadget Gadget12 = {
	NULL,
	371,26,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	TRASH_DISTANCE,
	NULL
};

static struct Gadget Gadget11 = {
	&Gadget12,
	371,15,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	TRASH_LR,
	NULL
};


static struct PropInfo Gadget15SInfo = {
	AUTOKNOB+FREEHORIZ+FREEVERT,
	-32493,-1,
	2184,2184,
};

static struct Image Image6 = {
	60,33,
	6,4,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct Gadget Gadget15 = {
	&Gadget11,
	188,112,
	133,41,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image6,
	NULL,
	NULL,
	NULL,
	(APTR)&Gadget15SInfo,
	PAN,
	NULL
};


static struct PropInfo Gadget10SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9000,-1,
};

static struct Image Image5 = {
	22,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1 = {
	2,0,JAM1,
	-179,0,
	NULL,
	"Branch Controller Out:",
	NULL
};

static struct Gadget Gadget10 = {
	&Gadget15,
	188,49,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image5,
	NULL,
	&IText1,
	NULL,
	(APTR)&Gadget10SInfo,
	BRANCH_OUT,
	NULL
};

static struct PropInfo Gadget9SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9000,-1,
};

static struct Image Image6 = {
	22,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText2 = {
	2,0,JAM1,
	-171,0,
	NULL,
	"Track Controller Out:",
	NULL
};

static struct Gadget Gadget9 = {
	&Gadget10,
	188,38,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image6,
	NULL,
	&IText2,
	NULL,
	(APTR)&Gadget9SInfo,
	TRACK_OUT,
	NULL
};

static struct PropInfo Gadget8SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9000,-1,
};

static struct Image Image7 = {
	0,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText3 = {
	2,0,JAM1,
	-163,0,
	NULL,
	"Distance Controller:",
	NULL
};

static struct Gadget Gadget8 = {
	&Gadget9,
	188,27,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image7,
	NULL,
	&IText3,
	NULL,
	(APTR)&Gadget8SInfo,
	DISTANCE_IN,
	NULL
};

static struct PropInfo Gadget7SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9000,-1,
};

static struct Image Image8 = {
	0,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText4 = {
	2,0,JAM1,
	-179,0,
	NULL,
	"Left/Right Controller:",
	NULL
};

static struct Gadget Gadget7 = {
	&Gadget8,
	188,16,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image8,
	NULL,
	&IText4,
	NULL,
	(APTR)&Gadget7SInfo,
	LR_IN,
	NULL
};

static struct IntuiText IText5 = {
	4,0,JAM1,
	6,1,
	NULL,
	"Right",
	NULL
};

static struct Gadget Gadget111 = {
	&Gadget7,
	326,120,
	52,9,
	NULL,
	RELVERIFY,
	BOOLGADGET,
	NULL,
	NULL,
	&IText5,
	NULL,
	NULL,
	RIGHT,
	NULL
};

static struct IntuiText IText6 = {
	4,0,JAM1,
	10,1,
	NULL,
	"Near",
	NULL
};

static struct Gadget Gadget110 = {
	&Gadget111,
	228,155,
	52,9,
	NULL,
	RELVERIFY,
	BOOLGADGET,
	NULL,
	NULL,
	&IText6,
	NULL,
	NULL,
	NEAR,
	NULL
};

static struct IntuiText IText7 = {
	4,0,JAM1,
	2,1,
	NULL,
	"Center",
	NULL
};

static struct Gadget Gadget119 = {
	&Gadget110,
	131,131,
	52,9,
	NULL,
	RELVERIFY,
	BOOLGADGET,
	NULL,
	NULL,
	&IText7,
	NULL,
	NULL,
	CENTER,
	NULL
};

static struct IntuiText IText8 = {
	4,0,JAM1,
	10,1,
	NULL,
	"Left",
	NULL
};

static struct Gadget Gadget118 = {
	&Gadget119,
	131,120,
	52,9,
	NULL,
	RELVERIFY,
	BOOLGADGET,
	NULL,
	NULL,
	&IText8,
	NULL,
	NULL,
	LEFT,
	NULL
};

static struct IntuiText IText9 = {
	4,0,JAM1,
	14,1,
	NULL,
	"Far",
	NULL
};

static struct Gadget Gadget117 = {
	&Gadget118,
	228,101,
	52,9,
	NULL,
	RELVERIFY,
	BOOLGADGET,
	NULL,
	NULL,
	&IText9,
	NULL,
	NULL,
	FAR,
	NULL
};

static struct IntuiText IText5 = {
	4,0,JAM1,
	25,1,
	NULL,
	"Discard Space SysEx",
	NULL
};

static struct Gadget Gadget6 = {
	&Gadget117,
	188,86,
	202,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText5,
	NULL,
	NULL,
	TRASH_SYSEX,
	NULL
};

static struct IntuiText IText6 = {
	4,0,JAM1,
	4,1,
	NULL,
	"Channel",
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	326,73,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText6,
	NULL,
	NULL,
	CHANNEL,
	NULL
};

static struct IntuiText IText7 = {
	4,0,JAM1,
	4,1,
	NULL,
	"Control",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	257,73,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText7,
	NULL,
	NULL,
	CONTROL,
	NULL
};

static struct IntuiText IText8 = {
	4,0,JAM1,
	16,1,
	NULL,
	"Note",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	188,73,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText8,
	NULL,
	NULL,
	NOTES,
	NULL
};

static struct IntuiText IText9 = {
	4,0,JAM1,
	8,1,
	NULL,
	"Branch",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	257,60,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText9,
	NULL,
	NULL,
	BRANCH_LEFT,
	NULL
};

static struct IntuiText IText10 = {
	4,0,JAM1,
	12,1,
	NULL,
	"Track",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2,
	188,60,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText10,
	NULL,
	NULL,
	TRACK_LEFT,
	NULL
};

#define GadgetList1 Gadget1

static struct Menu Menu1 = {
	NULL,
	0,0,
	0,0,
	NULL,
	"Space  v1.1  1994 Another Option",
	NULL
};

#define MenuList1 Menu1

static struct IntuiText IText13 = {
	2,0,JAM1,
	25,74,
	NULL,
	"Duplicate To Branch:",
	NULL
};

static struct IntuiText IText12 = {
	2,0,JAM1,
	81,61,
	NULL,
	"Left Channel:",
	&IText13
};

#define IntuiTextList1 IText12

static struct NewWindow NewWindowStructure1 = {
	116,12,
	404,102,
	0,1,
	CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	NULL,
	NULL,
	NULL,
	5,5,
	-1,-1,
	CUSTOMSCREEN
};

#define WTITLE "Space"
/* booleans */
#define GCOUNT 11
