/***
* 	spacew.h -- ui for space.c
*  	 1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
	 7 Jan 93 | recreated
	14 Nov 93 | manually reversed positions of TOUT and BOUT gadgets
*/

#ifndef INTUITION_INTUITION_H
	#include <intuition/intuition.h>
#endif

/* Gadget IDs */
#define DISTANCE  1
#define DISTANCEL 2
#define DISTANCER 3
/* These are not used
#define ANGLE  4
#define ANGLEL 5
#define ANGLER 6
*/
#define BOUT  7
#define BOUTL 8
#define BOUTR 9
#define TOUT  10
#define TOUTL 11
#define TOUTR 12
#define IN  13
#define INL 14
#define INR 15
#define TRACK  16
#define BRANCH 17
#define TRASH  18
#define NOTES 19
#define CONTROL 20
#define CHANNEL 21
#define ALL 22

static struct PropInfo Gadget12SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9000,-1,
};

static struct Image Image1 = {
	22,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1 = {
	2,0,JAM1,
	-90,0,
	NULL,
	"Branch Out:",
	NULL
};

static struct Gadget Gadget12 = {
	NULL,
	113,48,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image1,
	NULL,
	&IText1,
	NULL,
	(APTR)&Gadget12SInfo,
	BOUT,
	NULL
};

static struct PropInfo Gadget11SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9000,-1,
};

static struct Image Image2 = {
	22,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText2 = {
	2,0,JAM1,
	-82,0,
	NULL,
	"Track Out:",
	NULL
};

static struct Gadget Gadget11 = {
	&Gadget12,
	113,37,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image2,
	NULL,
	&IText2,
	NULL,
	(APTR)&Gadget11SInfo,
	TOUT,
	NULL
};

/*** removed due to a lack of interest
static struct PropInfo Gadget10SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9000,-1,
};

static struct Image Image3 = {
	0,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText3 = {
	2,0,JAM1,
	-82,0,
	NULL,
	"Spread In:",
	NULL
};

static struct Gadget Gadget10 = {
	&Gadget11,
	113,37,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image3,
	NULL,
	&IText3,
	NULL,
	(APTR)&Gadget10SInfo,
	ANGLE,
	NULL
};
***/

static struct PropInfo Gadget9SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9000,-1,
};

static struct Image Image4 = {
	0,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText4 = {
	2,0,JAM1,
	-106,0,
	NULL,
	"Virtual y In:",
	NULL
};

static struct Gadget Gadget9 = {
	&Gadget11,  /**&Gadget10,**/
	113,26,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image4,
	NULL,
	&IText4,
	NULL,
	(APTR)&Gadget9SInfo,
	DISTANCE,
	NULL
};

static struct PropInfo Gadget8SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9000,-1,
};

static struct Image Image5 = {
	11,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText5 = {
	2,0,JAM1,
	-106,0,
	NULL,
	"Virtual x In:",
	NULL
};

static struct Gadget Gadget8 = {
	&Gadget9,
	113,15,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image5,
	NULL,
	&IText5,
	NULL,
	(APTR)&Gadget8SInfo,
	IN,
	NULL
};

static struct IntuiText IText6 = {
	4,0,JAM1,
	11,1,
	NULL,
	"Discard Inputs",
	NULL
};

static struct Gadget Gadget7 = {
	&Gadget8,
	113,96,
	133,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText6,
	NULL,
	NULL,
	TRASH,
	NULL
};

static struct IntuiText IText7 = {
	4,0,JAM1,
	20,1,
	NULL,
	"All",
	NULL
};

static struct Gadget Gadget6 = {
	&Gadget7,
	182,83,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText7,
	NULL,
	NULL,
	ALL,
	NULL
};

static struct IntuiText IText8 = {
	4,0,JAM1,
	4,1,
	NULL,
	"Channel",
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	113,83,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText8,
	NULL,
	NULL,
	CHANNEL,
	NULL
};

static struct IntuiText IText9 = {
	4,0,JAM1,
	4,1,
	NULL,
	"Control",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	182,72,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText9,
	NULL,
	NULL,
	CONTROL,
	NULL
};

static struct IntuiText IText10 = {
	4,0,JAM1,
	16,1,
	NULL,
	"Note",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	113,72,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText10,
	NULL,
	NULL,
	NOTES,
	NULL
};

static struct IntuiText IText11 = {
	4,0,JAM1,
	8,1,
	NULL,
	"Branch",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	182,59,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText11,
	NULL,
	NULL,
	BRANCH,
	NULL
};

static struct IntuiText IText12 = {
	4,0,JAM1,
	12,1,
	NULL,
	"Track",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2,
	113,59,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText12,
	NULL,
	NULL,
	TRACK,
	NULL
};

#define GadgetList1 Gadget1

static struct Menu Menu1 = {
	NULL,
	0,0,
	0,0,
	MENUENABLED,
	"Space  v1.1  1993 Another Option",
	NULL
};

#define MenuList1 Menu1

static struct IntuiText IText17 = {
	2,0,JAM1,
	103,78,
	NULL,
	":",
	NULL
};

static struct IntuiText IText16 = {
	2,0,JAM1,
	15,83,
	NULL,
	"MIDI Events",
	&IText17
};

static struct IntuiText IText15 = {
	2,0,JAM1,
	31,74,
	NULL,
	"Duplicate",
	&IText16
};

static struct IntuiText IText14 = {
	2,0,JAM1,
	7,60,
	NULL,
	"Left Channel:",
	&IText15
};

#define IntuiTextList1 IText14
#define WTITLE "Space"

static struct NewWindow NewWindowStructure1 = {
	175,12,
	293,110,
	0,1,
	CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	WTITLE,
	NULL,
	NULL,
	5,5,
	-1,-1,
	CUSTOMSCREEN
};
/* boolean gadget count! */
#define GCOUNT 7
